import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ActiveCartService, Cart, CmsService, OrderEntry } from '@spartacus/core';
import { MiniCartComponent } from '@spartacus/storefront';
import { Observable } from 'rxjs';
import { AccountDropdownStateService } from '../services/account-dropdown-state.service';
import * as i0 from "@angular/core";
export declare class CustomMiniCartComponent extends MiniCartComponent implements OnInit {
    private _eref;
    protected activeCartService: ActiveCartService;
    private router;
    private modalService;
    cmsService: CmsService;
    private accountDropDownStateService;
    ref: ChangeDetectorRef;
    entries$: Observable<OrderEntry[]>;
    cart$: Observable<Cart>;
    isDesktop: boolean;
    isShowMenu: boolean;
    totalPriceFormat: any;
    modalRef: any;
    searchPlaceHolder: string;
    items: any;
    showSearch: boolean;
    constructor(_eref: ElementRef, activeCartService: ActiveCartService, router: Router, modalService: NgbModal, cmsService: CmsService, accountDropDownStateService: AccountDropdownStateService, ref: ChangeDetectorRef);
    ngOnInit(): void;
    negativeConverter(value: string): string;
    toggleMenu(): void;
    mobileToggleMenu(content: any): void;
    openSearch(content: any): void;
    onClickOutside(event: any): void;
    mouseoutFunction(): void;
    openCart(): void;
    navigateToAccount(): void;
    searchtext(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMiniCartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomMiniCartComponent, "app-custom-mini-cart", never, {}, {}, never, never>;
}
